<?php
/**
*
* @package phpBB Arcade
* @version $Id: constants.php 126 2012-12-15 12:22:16Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

define('ARCADE_VERSION', '2.0.RC5');

define('ARCADE_DISABLED', 0);

// Arcade flash into
define('ARCADE_FLASH_WIDTH', 640);	// original value 640
define('ARCADE_FLASH_HEIGHT', 480);	// original value 480

define('ARCADE_CAT_DISPLAY_BOTH', 0);
define('ARCADE_CAT_DISPLAY_NAME', 1);
define('ARCADE_CAT_DISPLAY_IMAGE', 2);

// Log types
define('ARCADE_LOG_CRITICAL', 0);
define('ARCADE_LOG_ADMIN', 1);
define('ARCADE_LOG_MOD', 2);
define('ARCADE_LOG_USERS', 3);

define('SCORETYPE_HIGH', 0);
define('SCORETYPE_LOW', 1);

define('ARCADE_CAT_TEST', 1);

define('ARCADE_CAT', 0);
define('ARCADE_CAT_GAMES', 1);
define('ARCADE_LINK', 2);

define('ARCADE_CHECK_EVERYONE', 0);
define('ARCADE_CHECK_USER_NORMAL', 1);
define('ARCADE_CHECK_DISABLED', 2);

define('ARCADE_FLAG_LINK_TRACK', 1);

define('ARCADE_GUEST_NONE', 0);
define('ARCADE_GUEST_VIEW', 1);
define('ARCADE_GUEST_PLAY', 2);

define('LIMIT_PLAY_TYPE_NONE', 0);
define('LIMIT_PLAY_TYPE_POSTS', 1);
define('LIMIT_PLAY_TYPE_DAYS', 2);
define('LIMIT_PLAY_TYPE_BOTH', 3);

define('ARCADE_FAV_ID'	 , -1);
define('ARCADE_SEARCH_ID', -2);

define('ARCADE_FAV_ADD', 1);
define('ARCADE_FAV_DEL', 2);

define('ARCADE_ORDER_ACP', '0');
define('ARCADE_ORDER_FIXED', 'f');
define('ARCADE_ORDER_INSTALLDATE', 'd');
define('ARCADE_ORDER_NAME', 'n');
define('ARCADE_ORDER_PLAYS', 'p');
define('ARCADE_ORDER_RATING', 'r');

define('ARCADE_ORDER_ASC', 'a');
define('ARCADE_ORDER_DESC', 'd');

define('ARCADE_PLUGIN_USE_BOARD', 0);
define('ARCADE_PLUGIN_USE_ARCADE', 1);

define('ARCADE_INDEX_PAGE', 'index');
define('ARCADE_ALL_PAGE', 'all');

define('ARCADE_POSITION_TOP', 1);
define('ARCADE_POSITION_MIDDLE', 2);
define('ARCADE_POSITION_BOTTOM', 3);
define('ARCADE_POSITION_STAT', 4);

define('GAME_CONTROL_KEYBOARD_MOUSE', 1);
define('GAME_CONTROL_KEYBOARD', 2);
define('GAME_CONTROL_MOUSE', 3);

define('UNKNOWN_GAME', 0);
define('AMOD_GAME', 1);
define('IBPRO_GAME', 2);
define('V3ARCADE_GAME', 3);
define('IBPROV3_GAME', 4);
define('ARCADELIB_GAME', 5);
define('NOSCORE_GAME', 6);
define('AR_GAME', 7);
define('PHPBBARCADE_GAME', 8);

define('ARCADE_UCP_GAMES_PER_PAGE_MAX', 50);

define('ARCADE_FREE', -1);

define('ARCADE_CASH_MOD', 1);
define('ARCADE_POINTS_SYSTEM', 2);
define('ARCADE_SIMPLE_POINTS_SYSTEM', 3);
define('ARCADE_ULTIMATE_POINTS_SYSTEM', 4);
define('ARCADE_JV_POINTS_SYSTEM', 5);
define('ARCADE_POINTS_MOD', 6);

define('ARCADE_REPORT_SCORING', 1);
define('ARCADE_REPORT_PLAYING', 2);
define('ARCADE_REPORT_DOWNLOADING', 3);
define('ARCADE_REPORT_OTHER', 4);

define('ARCADE_REPORT_OPEN', 0);
define('ARCADE_REPORT_CLOSE', 1);

define('ARCADE_BANNED_UNKNOWN', 0);
define('ARCADE_BANNED_ADMIN', 1);
define('ARCADE_BANNED_INVALID_FORM1', 2);
define('ARCADE_BANNED_INVALID_FORM2', 3);
define('ARCADE_BANNED_INVALID_FORM3', 4);

define('SCORE_SECURITY_LOW', 1);
define('SCORE_SECURITY_MEDIUM', 2);
define('SCORE_SECURITY_HIGH', 3);

define('CHALLENGE_LOAD', -1);

define('CHALLENGE_TIE', 0);

define('CHALLENGE_CLOSE', 1);

define('CHALLENGE_UNACCEPTED', 0);
define('CHALLENGE_ACCEPTED', 1);

define('ACL_ARCADE_GROUPS_TABLE',		$table_prefix . 'acl_arcade_groups');
define('ACL_ARCADE_OPTIONS_TABLE',		$table_prefix . 'acl_arcade_options');
define('ACL_ARCADE_ROLES_DATA_TABLE',	$table_prefix . 'acl_arcade_roles_data');
define('ACL_ARCADE_ROLES_TABLE',		$table_prefix . 'acl_arcade_roles');
define('ACL_ARCADE_USERS_TABLE',		$table_prefix . 'acl_arcade_users');
define('ARCADE_ACCESS_TABLE',			$table_prefix . 'arcade_access');
define('ARCADE_CATS_TABLE',				$table_prefix . 'arcade_categories');
define('ARCADE_CONFIG_TABLE',			$table_prefix . 'arcade_config');
define('ARCADE_DOWNLOAD_TABLE',			$table_prefix . 'arcade_download');
define('ARCADE_GAMES_TABLE',			$table_prefix . 'arcade_games');
define('ARCADE_FAVS_TABLE', 			$table_prefix . 'arcade_favorites');
define('ARCADE_PLAYS_TABLE',			$table_prefix . 'arcade_plays');
define('ARCADE_RATING_TABLE',			$table_prefix . 'arcade_game_rating');
define('ARCADE_SESSIONS_TABLE',			$table_prefix . 'arcade_sessions');
define('ARCADE_SCORES_TABLE',			$table_prefix . 'arcade_scores');
define('ARCADE_LOGS_TABLE',				$table_prefix . 'arcade_logs');
define('ARCADE_REPORTS_TABLE',			$table_prefix . 'arcade_reports');
define('ARCADE_USERS_TABLE',			$table_prefix . 'arcade_users');
define('ARCADE_USERS_BANNED_TABLE',		$table_prefix . 'arcade_users_banned');
define('ARCADE_ANNOUNCE_TABLE',			$table_prefix . 'arcade_announce');
define('ARCADE_SUPER_CHAMP_TABLE',		$table_prefix . 'arcade_super_champ');
define('ARCADE_DELETE_GAMES_TABLE',		$table_prefix . 'arcade_delete_games');
define('ARCADE_PLUGINS_TABLE',			$table_prefix . 'arcade_plugins');
define('ARCADE_CHALLENGE_TABLE',		$table_prefix . 'arcade_challenge');
define('ARCADE_CHALLENGE_CHAMP_TABLE',	$table_prefix . 'arcade_challenge_champ');

?>